- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NullPointerException Class Reference

Inherits RuntimeException.

List of all members.

## Detailed Description

Thrown when an application attempts to use null in a case where an object is required.

## Public Member Functions
| NullPointerException (const LogString &msg)
| NullPointerException (const NullPointerException &msg)
NullPointerException & | operator= (const NullPointerException &src)

## Constructor & Destructor Documentation

NullPointerException | ( | const LogString & | msg | ) |

NullPointerException | ( | const NullPointerException & | msg | ) |

## Member Function Documentation

NullPointerException& operator= | ( | const NullPointerException & | src | ) |

The documentation for this class was generated from the following file:

- exception.h